Loading...
Searching...
No Matches
pw_client_events Struct Reference
Core API » Client

Client events. More...

`#include <pipewire/client.h>`

## Data Fields

uint32_t | version
void(* | info )(void *data, const struct pw_client_info *info)
| Notify client info.
void(* | permissions )(void *data, uint32_t index, uint32_t n_permissions, const struct pw_permission *permissions)
| Notify a client permission.

## Detailed Description

Client events.

Examples
  tutorial6.c.

## Field Documentation

## version

uint32_t pw_client_events::version

## info

void(* pw_client_events::info) (void *data, const struct pw_client_info *info)

Notify client info.

Parameters

  info | info about the client

Examples
  tutorial6.c.

## permissions

void(* pw_client_events::permissions) (void *data, uint32_t index, uint32_t n_permissions, const struct pw_permission *permissions)

Notify a client permission.

Event emitted as a result of the get_permissions method.

Parameters

  default_permissions | the default permissions
  index | the index of the first permission entry
  n_permissions | the number of permissions
  permissions | the permissions

The documentation for this struct was generated from the following file:

- pipewire/client.h